<h1>Login</h1>
<p id='login_text'></p>

<script>
  document.addEventListener('DOMContentLoaded', async (event) => {
    const searchParams = new URLSearchParams(window.location.search);
    const sessionId = searchParams.get('ts_session_id');
    if (searchParams.has('ts_session_id')) {
      document.getElementById('login_text').innerText = 'Your login is being processed...';
      console.log(`sending POST ${sessionId}`);
      localStorage.setItem('ts_session_id', sessionId);
      const res = await fetch('', {
        method: 'POST',
        headers: {
          'Accept': 'application/json',
          'Content-Type': 'application/json'
        },
        body: JSON.stringify({sessionId})
      })
      const body = await res.json();
      const redirectUrl = body.location;
      console.log(body);
      console.log(redirectUrl);
      window.location.replace(redirectUrl);
    } else {
      document.getElementById('login_text').innerText = 'You will be redirected to login...';
      const res = await fetch('', { headers: { accept: 'application/json' } });
      const { redirectUrl } = await res.json();
      console.log("Redirecting... ")
      window.location.replace(redirectUrl);
    }
  });
</script>
